astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Units and Quantities (`astropy.units`) »
- Latex

# Latex

class `astropy.units.format.``Latex`

  Bases: `astropy.units.format.Base`

  Output LaTeX to display the unit based on IAU style guidelines.

  Attempts to follow the IAU Style Manual.

  Attributes Summary

  `name` |

  Methods Summary

  `format_exponential_notation`(val) | Formats a value in exponential notation for LaTeX.
  `to_string`(unit) |

  Attributes Documentation

  `name` = 'latex'

  Methods Documentation

  classmethod `format_exponential_notation`(val)

    Formats a value in exponential notation for LaTeX.

    Parameters:

    val : number

    > The value to be formatted

    Returns:

    latex_string : str

    > The value in exponential notation in a format suitable for LaTeX.

  classmethod `to_string`(unit)